# This file was generated by running 'miaxml2nipype.py /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/doc/mia-2dbinarycombine.xml /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dbinarycombine.py'
# '/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dbinarycombine.py' can be created by running 'mia-2dbinarycombine --help-xml >/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dbinarycombine.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dbinarycombine_InputSpec(CommandLineInputSpec):
	file1 = traits.File( desc="""input mask image 1""", argstr="--file1 %s", exists=True , mandatory = True )
	file2 = traits.File( desc="""input mask image 2""", argstr="--file2 %s", exists=True , mandatory = True )
	operation = traits.Enum("and", "xor", "nand", "or", "nxor", "nor",  desc="""Operation to be applied""", argstr="--operation %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output mask image", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dbinarycombine_OutputSpec(TraitedSpec):
	out_file = File(desc="output mask image", exists = True )


#
# Task class specification
#
class mia_2dbinarycombine(CommandLine):
	input_spec = mia_2dbinarycombine_InputSpec
	output_spec = mia_2dbinarycombine_OutputSpec
	_cmd = "mia-2dbinarycombine"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dbinarycombine()
	print( mia_prog.cmdline)
