# This file was generated by running 'miaxml2nipype.py /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/doc/mia-2dimageregistration.xml /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dimageregistration.py'
# '/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dimageregistration.py' can be created by running 'mia-2dimageregistration --help-xml >/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dimageregistration.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dimageregistration_InputSpec(CommandLineInputSpec):
	in_image = traits.File( desc="""test image to be registered""", argstr="--in-image %s", exists=True , mandatory = True )
	ref_image = traits.File( desc="""reference image to be registered to""", argstr="--ref-image %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	levels = traits.Int( desc="""multi-resolution levelsmulti-resolution levels""", argstr="--levels %d" )
	optimizer = traits.String( desc="""Optimizer used for minimizationOptimizer used for minimization""", argstr="--optimizer %s" )
	refiner = traits.String( desc="""optimizer used for refinement after the main optimizer was calledoptimizer used for refinement after the main optimizer was called""", argstr="--refiner %s" )
	transForm = traits.String( desc="""transformation typetransformation type""", argstr="--transForm %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_image = File(desc="registered output image", argstr="--out-image %s" )
	transformation = File(desc="output transformation comprising the registration", argstr="--transformation %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 2dimage/fullcost", argstr="%s")
#
# Output specification
#
class mia_2dimageregistration_OutputSpec(TraitedSpec):
	out_image = File(desc="registered output image")
	transformation = File(desc="output transformation comprising the registration", exists = True )


#
# Task class specification
#
class mia_2dimageregistration(CommandLine):
	input_spec = mia_2dimageregistration_InputSpec
	output_spec = mia_2dimageregistration_OutputSpec
	_cmd = "mia-2dimageregistration"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_image']=os.path.abspath(self.inputs.out_image)
		outputs['transformation']=os.path.abspath(self.inputs.transformation)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dimageregistration()
	print( mia_prog.cmdline)
