# This file was generated by running 'miaxml2nipype.py /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/doc/mia-2dmyoica-nonrigid2.xml /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dmyoica_nonrigid2.py'
# '/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dmyoica_nonrigid2.py' can be created by running 'mia-2dmyoica-nonrigid2 --help-xml >/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_2dmyoica_nonrigid2.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_2dmyoica_nonrigid2_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input perfusion data set""", argstr="--in-file %s", exists=True , mandatory = True )
	registered = traits.String( desc="""file name base for registered fiels""", argstr="--registered %s" )
	save_cropped = traits.String( desc="""save cropped set to this file""", argstr="--save-cropped %s" )
	save_feature = traits.String( desc="""save segmentation feature images and initial ICA mixing matrix""", argstr="--save-feature %s" )
	components = traits.Int( desc="""ICA components 0 = automatic estimationICA components 0 = automatic estimation""", argstr="--components %d" )
	normalize = traits.Bool( desc="""don't normalized ICs""", argstr="--normalize" )
	no_meanstrip = traits.Bool( desc="""don't strip the mean from the mixing curves""", argstr="--no-meanstrip" )
	segscale = traits.Float( desc="""segment and scale the crop box around the LV (0=no segmentation)segment and scale the crop box around the LV (0=no segmentation)""", argstr="--segscale %f" )
	skip = traits.Int( desc="""skip images at the beginning of the series e.g. because as they are of other modalitiesskip images at the beginning of the series e.g. because as they are of other modalities""", argstr="--skip %d" )
	max_ica_iter = traits.Int( desc="""maximum number of iterations in ICAmaximum number of iterations in ICA""", argstr="--max-ica-iter %d" )
	segmethod = traits.Enum("delta-peak", "features", "delta-feature",  desc="""Segmentation method""", argstr="--segmethod %s" )
	optimizer = traits.String( desc="""Optimizer used for minimizationOptimizer used for minimization""", argstr="--optimizer %s" )
	start_c_rate = traits.Float( desc="""start coefficinet rate in spines, gets divided by --c-rate-divider with every passstart coefficinet rate in spines, gets divided by --c-rate-divider with every pass""", argstr="--start-c-rate %f" )
	c_rate_divider = traits.Float( desc="""cofficient rate divider for each passcofficient rate divider for each pass""", argstr="--c-rate-divider %f" )
	start_divcurl = traits.Float( desc="""start divcurl weight, gets divided by --divcurl-divider with every passstart divcurl weight, gets divided by --divcurl-divider with every pass""", argstr="--start-divcurl %f" )
	divcurl_divider = traits.Float( desc="""divcurl weight scaling with each new passdivcurl weight scaling with each new pass""", argstr="--divcurl-divider %f" )
	imageweight = traits.Float( desc="""image cost weightimage cost weight""", argstr="--imageweight %f" )
	interpolator = traits.String( desc="""image interpolator kernelimage interpolator kernel""", argstr="--interpolator %s" )
	mg_levels = traits.Int( desc="""multi-resolution levelsmulti-resolution levels""", argstr="--mg-levels %d" )
	passes = traits.Int( desc="""registration passesregistration passes""", argstr="--passes %d" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output perfusion data set", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_2dmyoica_nonrigid2_OutputSpec(TraitedSpec):
	out_file = File(desc="output perfusion data set", exists = True )


#
# Task class specification
#
class mia_2dmyoica_nonrigid2(CommandLine):
	input_spec = mia_2dmyoica_nonrigid2_InputSpec
	output_spec = mia_2dmyoica_nonrigid2_OutputSpec
	_cmd = "mia-2dmyoica-nonrigid2"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_2dmyoica_nonrigid2()
	print( mia_prog.cmdline)
