# This file was generated by running 'miaxml2nipype.py /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/doc/mia-3ddeform.xml /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_3ddeform.py'
# '/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_3ddeform.py' can be created by running 'mia-3ddeform --help-xml >/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_3ddeform.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3ddeform_InputSpec(CommandLineInputSpec):
	in_image = traits.File( desc="""input image""", argstr="--in-image %s", exists=True , mandatory = True )
	transformation = traits.File( desc="""transformation vector field""", argstr="--transformation %s", exists=True , mandatory = True )
	interpolator = traits.String( desc="""image interpolator kernelimage interpolator kernel""", argstr="--interpolator %s" )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_image = File(desc="transformed image", argstr="--out-image %s" , mandatory = True )

#
# Output specification
#
class mia_3ddeform_OutputSpec(TraitedSpec):
	out_image = File(desc="transformed image", exists = True )


#
# Task class specification
#
class mia_3ddeform(CommandLine):
	input_spec = mia_3ddeform_InputSpec
	output_spec = mia_3ddeform_OutputSpec
	_cmd = "mia-3ddeform"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_image']=os.path.abspath(self.inputs.out_image)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3ddeform()
	print( mia_prog.cmdline)
