# This file was generated by running 'miaxml2nipype.py /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/doc/mia-3dimagefilterstack.xml /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_3dimagefilterstack.py'
# '/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_3dimagefilterstack.py' can be created by running 'mia-3dimagefilterstack --help-xml >/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_3dimagefilterstack.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_3dimagefilterstack_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input image(s) to be filtered""", argstr="--in-file %s", exists=True , mandatory = True )
	type = traits.Enum("analyze", "datapool", "dicom", "hdf5", "inria", "mhd", "nifti", "vff", "vista", "vti", "vtk",  desc="""output file typeoutput file type""", argstr="--type %s" , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_file = File(desc="output file name base, numbers are added accorfing to the input file pattern, and the file  extension is added according to the 'type' option.", argstr="--out-file %s" , mandatory = True )
	free_params = traits.ListStr(desc="Plug-in specifications of type 3dimage/filter", argstr="%s")
#
# Output specification
#
class mia_3dimagefilterstack_OutputSpec(TraitedSpec):
	out_file = File(desc="output file name base, numbers are added accorfing to the input file pattern, and the file  extension is added according to the 'type' option.", exists = True )


#
# Task class specification
#
class mia_3dimagefilterstack(CommandLine):
	input_spec = mia_3dimagefilterstack_InputSpec
	output_spec = mia_3dimagefilterstack_OutputSpec
	_cmd = "mia-3dimagefilterstack"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_3dimagefilterstack()
	print( mia_prog.cmdline)
