# This file was generated by running 'miaxml2nipype.py /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/doc/mia-mesh-deformable-model.xml /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_mesh_deformable_model.py'
# '/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_mesh_deformable_model.py' can be created by running 'mia-mesh-deformable-model --help-xml >/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_mesh_deformable_model.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_mesh_deformable_model_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input mesh to be adapted""", argstr="--in-file %s", exists=True , mandatory = True )
	ref_file = traits.File( desc="""reference image""", argstr="--ref-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	smoothing_weight = traits.Float( desc="""Weight of the inner force used to smooth the mesh""", argstr="--smoothing-weight %f" )
	gradient_weight = traits.Float( desc="""Weight of the gradient force drive the mesh deformation. Use a negative value to invert the search direction.Weight of the gradient force drive the mesh deformation. Use a negative value to invert the search direction.""", argstr="--gradient-weight %f" )
	intensity_weight = traits.Float( desc="""Weight of the force resulting from the intensity difference at the vertex position versus the reference intensity 'iso'.""", argstr="--intensity-weight %f" )
	intensity_scaling = traits.Float( desc="""Scaling of the raw intensity difference.""", argstr="--intensity-scaling %f" )
	iso = traits.Float( desc="""Intensity value the mesh verices should adapt to.Intensity value the mesh verices should adapt to.""", argstr="--iso %f" )
	image_smoothing = traits.String( desc="""Prefilter to smooth the reference image.Prefilter to smooth the reference image.""", argstr="--image-smoothing %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	maxiter = traits.Int( desc="""Maximum number of iterations.""", argstr="--maxiter %d" )
	epsilon = traits.Float( desc="""Stop iteration when the maximum shift of the vertices falls below this value""", argstr="--epsilon %f" )
	reorient = traits.Bool( desc="""Reorientate the mesh triangles""", argstr="--reorient" )
	out_file = File(desc="output mesh that has been deformed", argstr="--out-file %s" , mandatory = True )

#
# Output specification
#
class mia_mesh_deformable_model_OutputSpec(TraitedSpec):
	out_file = File(desc="output mesh that has been deformed", exists = True )


#
# Task class specification
#
class mia_mesh_deformable_model(CommandLine):
	input_spec = mia_mesh_deformable_model_InputSpec
	output_spec = mia_mesh_deformable_model_OutputSpec
	_cmd = "mia-mesh-deformable-model"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_mesh_deformable_model()
	print( mia_prog.cmdline)
