# This file was generated by running 'miaxml2nipype.py /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/doc/mia-meshdistance-to-stackmask.xml /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_meshdistance_to_stackmask.py'
# '/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_meshdistance_to_stackmask.py' can be created by running 'mia-meshdistance-to-stackmask --help-xml >/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_meshdistance_to_stackmask.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_meshdistance_to_stackmask_InputSpec(CommandLineInputSpec):
	in_mesh = traits.File( desc="""input mesh""", argstr="--in-mesh %s", exists=True , mandatory = True )
	ref_mask = traits.File( desc="""reference binary mask""", argstr="--ref-mask %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	out_mesh = File(desc="output mesh", argstr="--out-mesh %s" , mandatory = True )

#
# Output specification
#
class mia_meshdistance_to_stackmask_OutputSpec(TraitedSpec):
	out_mesh = File(desc="output mesh", exists = True )


#
# Task class specification
#
class mia_meshdistance_to_stackmask(CommandLine):
	input_spec = mia_meshdistance_to_stackmask_InputSpec
	output_spec = mia_meshdistance_to_stackmask_OutputSpec
	_cmd = "mia-meshdistance-to-stackmask"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_mesh']=os.path.abspath(self.inputs.out_mesh)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_meshdistance_to_stackmask()
	print( mia_prog.cmdline)
