# This file was generated by running 'miaxml2nipype.py /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/doc/mia-wavelettrans.xml /build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_wavelettrans.py'
# '/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_wavelettrans.py' can be created by running 'mia-wavelettrans --help-xml >/build/mia-cPKHHh/mia-2.4.3/obj-arm-linux-gnueabihf/src/mia_wavelettrans.py'

from nipype.interfaces.base import (
        TraitedSpec,
        CommandLineInputSpec,
        CommandLine,
        File,
        traits
    )
import os
#
# Input specification
#
class mia_wavelettrans_InputSpec(CommandLineInputSpec):
	in_file = traits.File( desc="""input data set""", argstr="--in-file %s", exists=True , mandatory = True )
	verbose = traits.Enum("info", "trace", "fail", "warning", "error", "debug", "message", "fatal",  desc="""verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:""", argstr="--verbose %s" )
	threads = traits.Int( desc="""Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).""", argstr="--threads %d" )
	wavelet = traits.Enum("c-daubechies", "c-haar", "haar", "c-bspline", "bspline", "daubechies",  desc="""wavelet to be used""", argstr="--wavelet %s" )
	member = traits.Int( desc="""wavelet member IDwavelet member ID""", argstr="--member %d" )
	out_file = File(desc="output data set", argstr="--out-file %s" , mandatory = True )
	save_wave = File(desc="base name of the output files that will store the wavelet coefficients as matrix", argstr="--save-wave %s" )

#
# Output specification
#
class mia_wavelettrans_OutputSpec(TraitedSpec):
	out_file = File(desc="output data set", exists = True )
	save_wave = File(desc="base name of the output files that will store the wavelet coefficients as matrix")


#
# Task class specification
#
class mia_wavelettrans(CommandLine):
	input_spec = mia_wavelettrans_InputSpec
	output_spec = mia_wavelettrans_OutputSpec
	_cmd = "mia-wavelettrans"

	def _list_outputs(self):
		outputs = self.output_spec().get()
		outputs['out_file']=os.path.abspath(self.inputs.out_file)
		outputs['save_wave']=os.path.abspath(self.inputs.save_wave)
		return outputs

#
# Main function used for testing
#
if __name__ == "__main__":
	mia_prog = mia_wavelettrans()
	print( mia_prog.cmdline)
